Bug 5322 - alternatives: cat: /etc/alternatives/auto/konqueror: No such file or directory
: alternatives: cat: /etc/alternatives/auto/konqueror: No such file or directory
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kdebase-konqueror)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-10-13 15:10 by
Modified: 2006-01-02 18:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-13 15:10:38
После обновления до kde*-3.3.1-alt1 появилось сообщение от alternatives: cat:
/etc/alternatives/auto/konqueror: No such file or directory

Что в принципе объяснимо, т.к. во время апдейта
/etc/alternatives/packages.d/konqueror был сохранён как *.rpmsave
------- Comment #1 From 2004-10-13 15:22:14 -------
Всё становится нормально, если в /etc/alternatives/auto

@konqueror -> ../packages.d/kdebase-konqueror
------- Comment #2 From 2004-10-13 17:40:05 -------
Ага! 
Мне кажется эта загвоздка возникает из-за того что в пакете конфиг альтернатив  
помечен как %config с параметрами.Ранее конфиг был модифицирован самими 
альтернативами при авто-переезде на новую версию. rpm понятное дело обнаружил 
подмену и как-то неверно среагировал. 
 
------- Comment #3 From 2004-10-13 17:53:19 -------
(In reply to comment #2) 
> Ага!  
> Мне кажется эта загвоздка возникает из-за того что в пакете конфиг 
альтернатив   
> помечен как %config с параметрами. 
А не надо? 
Или вообще может эти файлы в /usr/share преместить? 
 
> Ранее конфиг был модифицирован самими  
> альтернативами при авто-переезде на новую версию. rpm понятное дело 
обнаружил  
> подмену и как-то неверно среагировал.  
>   
 
 
------- Comment #4 From 2004-10-14 11:30:17 -------
Никуда перемещать не надо, и делать %config тоже не надо. 
------- Comment #5 From 2004-10-14 12:28:56 -------
ok, в следующей сборке поправлю 
------- Comment #6 From 2004-10-15 15:54:52 -------
fixed in kdebase-3.3.1-alt2 
------- Comment #7 From 2004-10-15 15:55:11 -------
fixed 
------- Comment #8 From 2004-10-19 16:32:08 -------
kdebase-konqueror-3.3.1-alt2: даже не знаю, стало ли лучше. После апдейта до
3.3.1-alt1 получилось, что в /etc/alternatives/auto оказался "битый" симлинк
konqueror, указывающий на ../packages.d/konqueror. Последний оказался сохранён
как konqueror.rpmsave. Обо всём этом я писал с первоначальном рапорте.
Ожидаемое
в результате фикса - в комментарии #1.

На деле апдейт до 3.3.1-alt2 с 3.3.1-alt1 прошёл криво, с сообщениями:

alternatives-install:fatal: no such file /etc/alternatives/packages.d/konqueror
cat: /etc/alternatives/auto/konqueror: No such file or directory
cat: /etc/alternatives/auto/konqueror: No such file or directory
cat: /etc/alternatives/auto/konqueror: No such file or directory

Ладно, решил проверить, как должен был бы пройти апдейт, минуя 3.3.1-alt1. Для
этого я просто переименовал в /etc/alternatives/packages.d konqueror.rpmsave в
konqueror и запустил apt-get install --reinstall kdebase-konqueror

Ошибки-то исчезли, да баг по сути не fixed, потому что в итоге оказалось, что
/etc/alternatives/auto/konqueror->../packages.d/konqueror

Последний файл не принадлежит ни одному из пакетов. По логике вещей, должно
было
быть /etc/alternatives/auto/konqueror->../packages.d/kdebase-konqueror

Или я ошибаюсь? "Чистая" установка (т.е. установка в систему, где до этого не
было kdebase*) kdebase-konqueror всё-таки проходит с образованием симлинка на
../packages.d/kdebase-konqueror? Однако рано или, что вероятнее, поздно от
указывающего на "левый" файл симлинка в моей системе всё-таки вылезет держак
граблей :-\

Собственно, из-за замены /etc/alternatives/packages.d/konqueror на
/etc/alternatives/packages.d/kdebase-konqueror при переходе на 3.3.1-alt1
данный
баг изначально и вылез.
------- Comment #9 From 2004-10-19 20:35:35 -------
Да, забыл поправить post_register_alternatives для konqueror 
Исправлено в kdebase-3.3.1-alt3